#
# spec file for package spacewalk-setup
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version}
%define apache_user wwwrun
%define apache_group www
%define misc_path /srv/
%else
%define apache_user apache
%define apache_group apache
%define misc_path %{_var}
%endif

Name:           spacewalk-setup
Version:        1.2.16
Release:        1.4
Summary:        Initial setup tools for Red Hat Spacewalk

Group:          Applications/System
License:        GPL v2 only
Url:            http://spacewalk.redhat.com
Source0:        spacewalk-setup-git-da16d6ee5cfef0e645ce6c18efeb918c8c60e1e2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
## non-core
#BuildRequires:  perl(Getopt::Long), perl(Pod::Usage)
#BuildRequires:  perl(Test::Pod::Coverage), perl(Test::Pod)

BuildArch:      noarch
Requires:       perl
Requires:       perl-Params-Validate
Requires:       spacewalk-schema
%if 0%{?suse_version}
Requires:       curl
Requires:       policycoreutils
Requires:       perl-Mail-RFC822-Address
Requires:       perl-XML-LibXML perl-XML-SAX perl-DateTime
Requires:       perl-Frontier-RPC
Requires:       perl-libwww-perl
Requires:       patch
BuildRequires:  perl-libwww-perl
%else
Requires:       /sbin/restorecon
%endif
Requires:       spacewalk-admin
Requires:       spacewalk-certs-tools
Requires:       perl-Satcon
Requires:       spacewalk-backend-tools
Requires:       cobbler >= 2.0.0
Requires:       PyYAML
Requires:       /usr/bin/gpg
Requires:       spacewalk-setup-jabberd

%description
A collection of post-installation scripts for managing Spacewalk's
initial setup tasks, re-installation, and upgrades.



%prep
%setup -q -n spacewalk-setup-git-da16d6ee5cfef0e645ce6c18efeb918c8c60e1e2

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*
install -d -m 755 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0755 share/embedded_diskspace_check.py %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/sudoers.base %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/sudoers.clear %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/sudoers.1 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/sudoers.2 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/sudoers.3 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/ssl.conf.1 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/ssl.conf.2 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/ssl.conf.3 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/ssl.conf.4 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/ssl.conf.5 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/ssl.conf.6 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/tomcatX.conf.1 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/tomcatX.conf.2 %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/server.xml.xsl %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/context.xml.xsl %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/web.xml.patch %{buildroot}/%{_datadir}/spacewalk/setup/
install -m 0644 share/old-jvm-list %{buildroot}/%{_datadir}/spacewalk/setup/
install -d -m 755 %{buildroot}/%{_datadir}/spacewalk/setup/defaults.d/
install -d -m 755 %{buildroot}/%{_datadir}/spacewalk/setup/upgrade
install -m 0755 share/upgrade/* %{buildroot}/%{_datadir}/spacewalk/setup/upgrade
install -m 0644 share/defaults.d/defaults.conf %{buildroot}/%{_datadir}/spacewalk/setup/defaults.d/

# Oracle specific stuff, possible candidate for sub-package down the road:
install -d -m 755 %{buildroot}/%{_datadir}/spacewalk/setup/oracle/
install -m 0755 share/oracle/install-db.sh %{buildroot}/%{_datadir}/spacewalk/setup/oracle
install -m 0755 share/oracle/remove-db.sh %{buildroot}/%{_datadir}/spacewalk/setup/oracle
install -m 0755 share/oracle/upgrade-db.sh %{buildroot}/%{_datadir}/spacewalk/setup/oracle

# create a directory for misc. Spacewalk things
install -d -m 755 %{buildroot}/%{misc_path}/spacewalk

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README answers.txt
%{perl_vendorlib}/*
%{_bindir}/spacewalk-setup
%{_bindir}/spacewalk-make-mount-points
%{_bindir}/cobbler-setup
%{_mandir}/man[13]/*.[13]*
%dir %{_datadir}/spacewalk
%{_datadir}/spacewalk/*
%attr(755, %{apache_user}, root) %{misc_path}/spacewalk

%changelog
* Thu Feb 17 2011 mc@suse.de
- autoflush stdout (bnc#672565)
* Wed Feb 16 2011 ug@suse.de
- suppress a warning when selinux is missing (bnc#671641)
* Fri Feb 11 2011 ug@suse.de
- don't start xinted
* Fri Feb 11 2011 mc@suse.de
- no selinux, if selinuxenabled binary is not found
  (bnc#671204)
* Tue Feb  8 2011 mc@suse.de
- change mountpoint and prepended_dir (bnc#669558)
* Sun Jan 30 2011 mc@suse.de
- backport upstrem fixes
* Tue Dec 21 2010 ug@suse.de
- patch added to Requires
* Wed Sep 15 2010 mantel@suse.de
- Initial release of spacewalk-setup
